Package org.eclipse.cdt.core.settings.model.util

# Class PathEntryTranslator.PathEntryCollector

java.lang.Object
org.eclipse.cdt.core.settings.model.util.PathEntryTranslator.PathEntryCollector

Enclosing class:
  PathEntryTranslator

public static class PathEntryTranslator.PathEntryCollector extends Object

## Method Summary

Modifier and Type
Method
Description
`PathEntryTranslator.PathEntryCollector`
`createChild(org.eclipse.core.runtime.IPath path)`
`List<IPathEntry>`
`getEntries(int peKind, List<IPathEntry> list, int flags, ICConfigurationDescription cfgDescription)`
`IPathEntry[]`
`getEntries(int flags, ICConfigurationDescription cfgDescription)`
`List<IPathEntry>`
`getEntries(List<IPathEntry> list, int flags, ICConfigurationDescription cfgDescription)`
`PathEntryTranslator.PathEntryCollector`
`getParent()`
`org.eclipse.core.runtime.IPath`
`getPath()`
`void`
`setEntries(int kind, ICLanguageSettingEntry[] entries, Set<ICSettingEntry> exportedEntries)`
`void`
`setRefProjects(org.eclipse.core.runtime.IPath[] paths)`
`void`
`setSourceOutputEntries(int kind, ICExclusionPatternPathEntry[] entries)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### setSourceOutputEntries

public void setSourceOutputEntries(int kind, ICExclusionPatternPathEntry[] entries)

### setRefProjects

public void setRefProjects(org.eclipse.core.runtime.IPath[] paths)

### createChild

public PathEntryTranslator.PathEntryCollector createChild(org.eclipse.core.runtime.IPath path)

### getPath

public org.eclipse.core.runtime.IPath getPath()

### setEntries

public void setEntries(int kind, ICLanguageSettingEntry[] entries, Set<ICSettingEntry> exportedEntries)

### getParent

public PathEntryTranslator.PathEntryCollector getParent()

### getEntries

public List<IPathEntry> getEntries(int peKind, List<IPathEntry> list, int flags, ICConfigurationDescription cfgDescription)

### getEntries

public List<IPathEntry> getEntries(List<IPathEntry> list, int flags, ICConfigurationDescription cfgDescription)

### getEntries

public IPathEntry[] getEntries(int flags, ICConfigurationDescription cfgDescription)